Package: groovy.swing.model

## [Java] Class PropertyModel

- groovy.swing.model.PropertyModel

- All Implemented Interfaces and Traits:
    NestedValueModel, ValueModel

      public class PropertyModel
      extends Object
      implements NestedValueModel, ValueModel

  Represents a property of a value as a model.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyModel(ValueModel sourceModel, String property)`
    `PropertyModel(ValueModel sourceModel, String property, Class type)`
    `PropertyModel(ValueModel sourceModel, String property, Class type, boolean editable)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getProperty()`
    `` | `public ValueModel` | `getSourceModel()`
    `` | `public Class` | `getType()`
    `` | `public Object` | `getValue()`
    `` | `public boolean` | `isEditable()`
    `` | `public void` | `setValue(Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public PropertyModel(ValueModel sourceModel, String property)

    - #### public PropertyModel(ValueModel sourceModel, String property, Class type)

    - #### public PropertyModel(ValueModel sourceModel, String property, Class type, boolean editable)

  - ### Method Detail

    - #### public String getProperty()

    - #### @Override
      public ValueModel getSourceModel()

    - #### @Override
      public Class getType()

    - #### @Override
      public Object getValue()

    - #### @Override
      public boolean isEditable()

    - #### @Override
      public void setValue(Object value)